Groovy 1.7.10

## org.codehaus.groovy.classgen
[Java] Class CompileStack.BlockRecorder

    java.lang.Object
      org.codehaus.groovy.classgen.CompileStack.BlockRecorder

    protected static class CompileStack.BlockRecorder

Field Summary
`Runnable` | `excludedStatement`
`LinkedList` | `ranges`

Constructor Summary
`CompileStack.BlockRecorder()`
`CompileStack.BlockRecorder(Runnable excludedStatement)`

Method Summary
`void` | `closeRange(org.objectweb.asm.Label end)`
`void` | `startRange(org.objectweb.asm.Label start)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### excludedStatement

    public Runnable excludedStatement

### ranges

    public LinkedList ranges

Constructor Detail

### CompileStack.BlockRecorder

    public CompileStack.BlockRecorder()

### CompileStack.BlockRecorder

    public CompileStack.BlockRecorder(Runnable excludedStatement)

Method Detail

### closeRange

    public void closeRange(org.objectweb.asm.Label end)

### startRange

    public void startRange(org.objectweb.asm.Label start)

Copyright © 2003-2010 The Codehaus. All rights reserved.